# $Revision: 1.22 $, $Date: 2012/05/15 10:51:34 $
Summary:	Default themes for GNOME environment
Summary(pl.UTF-8):	Domyślne motywy dla środowiska GNOME
Name:		gnome-themes-standard
Version:	3.4.2
Release:	1
License:	LGPL
Group:		Themes
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-themes-standard/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	bbe736709a7cf00bd18f3b2b82e7a59e
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.40
BuildRequires:	librsvg-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post):	gtk-update-icon-cache
Requires:	gnome-icon-theme >= 3.4.0
Obsoletes:	gnome-themes-HighContrast < 3.0-1
Obsoletes:	gnome-themes-HighContrastInverse < 3.0-1
Obsoletes:	gnome-themes-HighContrastLargePrint < 3.0-1
Obsoletes:	gnome-themes-LowContrast < 3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Default themes for GNOME environment.

%description -l pl.UTF-8
Domyślne motywy dla środowiska GNOME.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache HighContrast
%update_icon_cache HighContrastInverse
%update_icon_cache LowContrast

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so
%{_datadir}/themes/Adwaita
%{_datadir}/themes/HighContrast
%{_datadir}/themes/HighContrastInverse
%{_datadir}/themes/LowContrast
%{_datadir}/gnome-background-properties/adwaita.xml
%{_iconsdir}/Adwaita
%{_iconsdir}/HighContrast
%{_iconsdir}/HighContrastInverse
%{_iconsdir}/LowContrast

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-themes-standard.spec,v $
Revision 1.22  2012/05/15 10:51:34  kiesiu
- updated to 3.4.2

Revision 1.21  2012/04/17 20:32:21  megabajt
- updated to 3.4.1

Revision 1.20  2012/03/27 18:07:39  kiesiu
- updated to 3.4.0; merged from DEVEL

Revision 1.19.2.3  2012/03/06 15:45:59  megabajt
- updated to 3.3.91

Revision 1.19.2.2  2012/02/20 16:39:25  megabajt
- updated to 3.3.90

Revision 1.19.2.1  2012/02/19 21:49:13  megabajt
- updated to 3.3.5.1

Revision 1.19  2011/12/11 14:02:36  adamg
- Obsoletes: gnome-themes-HighContrast, gnome-themes-HighContrastInverse,
  gnome-themes-HighContrastLargePrint
- release 2

Revision 1.18  2011/10/18 19:12:22  kiesiu
- updated to 3.2.1

Revision 1.17  2011/10/01 19:57:36  glen
- todo solved in r1.13.2.8, thx wiget

Revision 1.16  2011/10/01 19:10:15  glen
- some todo to investigate

Revision 1.15  2011/09/28 19:49:16  kiesiu
- updated to 3.2.0.3; merged from DEVEL

Revision 1.14  2011/08/13 07:58:32  glen
- obsolete gnome-themes-LowContrast from gnome2

Revision 1.13.2.8  2011/09/19 15:17:58  wiget
- no icons in Adwaita (only cursors)

Revision 1.13.2.7  2011/09/19 15:07:11  megabajt
- updated to 3.1.92

Revision 1.13.2.6  2011/09/14 19:13:32  megabajt
- BR: librsvg-devel

Revision 1.13.2.5  2011/09/07 14:06:09  wiget
- up to 3.1.91

Revision 1.13.2.4  2011/09/06 14:33:02  wiget
- up to 3.1.90

Revision 1.13.2.3  2011/08/22 09:32:45  patrys
- 3.1.5

Revision 1.13.2.2  2011/07/29 15:02:10  patrys
- 3.1.4

Revision 1.13.2.1  2011/07/11 11:13:44  patrys
- 3.1.3

Revision 1.13  2011/05/23 22:22:08  kiesiu
- updated to 3.0.2

Revision 1.12  2011/04/25 20:37:48  kiesiu
- up to 3.0.1

Revision 1.11  2011/04/04 17:13:54  kiesiu
- updated to 3.0.0

Revision 1.10  2011/03/30 19:58:14  wiget
- up to 2.91.93

Revision 1.9  2011/03/22 20:53:47  megabajt
- updated to 2.91.92.1

Revision 1.8  2011/03/22 09:09:20  wiget
- correct BRs (by Lukasz Kies)

Revision 1.7  2011/03/21 21:39:35  megabajt
- updated to 2.91.92

Revision 1.6  2011/03/14 21:59:32  megabajt
- updated to 2.91.91.1

Revision 1.5  2011/03/07 22:28:26  megabajt
- do not update icon cache after removing package as these icon themes
  are provided by this package

Revision 1.4  2011/03/07 22:12:32  wiget
- up to 2.91.91

Revision 1.3  2011/02/26 18:00:43  megabajt
- updated to 2.91.90.1

Revision 1.2  2011/02/22 13:02:43  megabajt
- updated to 2.91.90

Revision 1.1  2011/02/13 15:16:17  wiget
- init

